<template>
  <v-container>
    <v-row justify="center">
      <v-col xs="12" md="6">
        <v-row justify="center">
          <v-col xs="12">
            <h2 class="mt-2 mb-4">My Account</h2>
          </v-col>
        </v-row>
        <p>{{userUpdated}}</p>
        <v-row v-if="editAccount" justify="center">
          <v-col xs="12">
            <EditAccount :setEditAccount="val => editAccount = val" type="facilitator"/>
          </v-col>
        </v-row>

        <v-row v-if="!editAccount" justify="center">
          <v-col cols="12">
            <span>{{ user.firstName }} {{ user.lastName }}</span>
            <v-divider class=""></v-divider>
          </v-col>
          <v-col cols="12">
            <v-row>
              <v-col xs="12">
                <h5><b>Email:</b> {{ user.email }}</h5>
                <h5><b>Phone:</b> {{ user.phone }}</h5>
                <h5><b>Nickname:</b> {{ user.nickName }}</h5>
                <h5><b>Location:</b> {{ user.location }}</h5>
              </v-col>
              <v-col xs="6"> </v-col>
              <v-col cols="12">
                <v-btn
                  rounded
                  small
                  color="primary"
                  @click="() => (editAccount = true)"
                  >Edit account</v-btn
                >
              </v-col>
            </v-row>
          </v-col>
        </v-row>

        <v-row justify="center">
          <v-col v-if="!editPayment" xs="12" md="12">
            <h5 class="body-1 mb-8">Payments and credits</h5>
            <h6 class="body-2 mb-2"><b>Your saved card:</b> No card on file</h6>
            <v-row v-for="(user, index) in user.paymentMetheods" :key="index">
              <v-col cols="12" xs="12" md="12" lg="12">
                <v-icon class="mr-3">mdi-credit-card</v-icon>
                <span
                  >You current card for billing is a {{ user.brand }} ending
                  {{ user.last4 }}</span
                >
              </v-col>
            </v-row>
            <v-btn
              rounded
              small
              color="primary"
              @click="() => (editPayment = true)"
              >Edit payment method</v-btn
            >
          </v-col>
          <v-col v-if="editPayment" xs="12" md="12">
            <span>Add a new card</span>
            <AddNewPaymentCard />
          </v-col>
        </v-row>
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
import { mapState } from 'vuex'
import AddNewPaymentCard from '@/components/User/Account/AddNewPaymentCard'
import EditAccount from '@/components/User/Account/EditAccount'

export default {
  name: 'FacilitatorAccount',
  components: {
    AddNewPaymentCard,
    EditAccount
  },
  data() {
    return {
      showSuccess: false,
      alert: true,
      editPayment: false,
      editAccount: false
    }
  },
  computed: {
    ...mapState('authentication', ['user', 'userUpdated'])
  },
  created() {},
  methods: {}
}
</script>
